Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Interface NameDeclaration

All Known Implementing Classes:
  AbstractNameDeclaration

public interface NameDeclaration

Method Summary
`java.lang.String` | `getImage()`
`SimpleNode` | `getNode()`
`Scope` | `getScope()`

Method Detail

### getNode

    public SimpleNode getNode()

### getImage

    public java.lang.String getImage()

### getScope

    public Scope getScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.